uniform mat4 Proj,View,World;
varying vec2 TexCoord;
varying vec4 Color;
void main()
{
	TexCoord = gl_MultiTexCoord0.xy;
	Color = gl_Color;
	worldPosition = World * gl_Vertex;
	lightPos = vec3(-0.0f,2000.0f,-5000.0f);
	viewPosition = View * worldPosition;
	gl_Position = Proj * viewPosition;
}